Subject: bug#61502: 29.0.60; c-ts-mode auto-indent not working

From: Dmitry Gutov <[email-masked]>
Date: Wed, 15 Feb 2023 20:18:47 +0200

On 15/02/2023 20:11, Eli Zaretskii wrote:
> Sure, but I thought the problem was we were using the wrong nodes.  I
> presumed that, once the "right" node is found, we can thereafter use
> the information of that node (which is grammar-specific) to take it
> from there and determine the required indentation.  You seem to be
> saying there's more there than meets the eye?

I think the method of finding the correct node will need to be 
grammar-specific as well.

Note that this is mostly important for "incomplete" code. The users of 
electric-pair-mode should experience adequate indentation behavior already.

The for/if/else statements without curlies seem to be one of the few 
exceptions, but that the user also might be typing "{" next, in which 
case the current indentation will be the correct one.